Retrieve Metadata

The Salesforce CDP Metadata API response includes metadata about all entities, including Calculated Insights, Engagement, Profile, and other entities, as well as their relationships to other objects.

GET /api/v1/metadata

Returns the metadata for Calculated Insights, Engagement, Profile, and other objects.

Syntax

HTTP method
GET
Availability
Salesforce CDP v1.0, Salesforce API version 51.0 and later
Formats
REST
URI
/api/v1/metadata/

Request Parameters

Field Name Field Type Description
entityType string The requested metadata entity type. By default, this parameter includes all of the available types. Acceptable values: DataLakeObject, DataModelObject, and CalculatedInsight
entityCategory string The requested metadata entity category. By default, this parameter includes all of the available categories. It is not applicable for Calculated Insight entities. Acceptable values: Profile, Engagement, and Related
entityName string The name of the requested metadata entity. By default, this parameter includes all of the available categories an exhaustive list of entities. Example: UnifiedIndividual__dlm

Examples

Request
Response

HTTP Responses

Response Reason
200 OK Callback successfully verified
400 Bad Request Invalid request
500 Server Error Internal error